import { Knex } from 'knex';
export declare type EntityListDiff<T> = {
    newEntries: T[];
    removedEntries: T[];
};
export declare function calculateEntityListDiff<T>(oldList: T[], newList: T[], idFields: string[]): EntityListDiff<T>;
export declare type UpdateJoinTableParams = {
    filterCriteria: Record<string, any>;
    table: string;
    primaryKeyField?: string;
    chunkSize?: number;
    idFields: string[];
};
export declare function updateJoinTable<T>(knex: Knex, newList: T[], params: UpdateJoinTableParams): Promise<EntityListDiff<T>>;
