import { Knex } from 'knex';
export declare const HEARTBEAT_QUERIES: Readonly<{
    ORACLE: string;
    POSTGRESQL: string;
    MYSQL: string;
    MSSQL: string;
    SQLITE: string;
    DEFAULT: string;
}>;
export interface HeartbeatResult {
    isOk: boolean;
    error?: Error;
}
/**
 *
 * @param {Object} knex - Knex instance
 * @param {string} heartbeatQuery - SQL query that will be executed to check if connection is valid
 * @returns Promise<{Object|undefined}> wrapped error if connection is not valid, wrapped 'isOk: true' if it is valid, undefined if connection does not yet exist
 */
export declare function checkHeartbeat(knex: Knex, heartbeatQuery?: string): Promise<HeartbeatResult>;
