"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.groupBy = exports.isEmptyObject = exports.pick = exports.copyWithoutUndefined = void 0;
function copyWithoutUndefined(originalValue) {
    return Object.keys(originalValue).reduce((acc, key) => {
        // @ts-ignore
        if (originalValue[key] !== undefined) {
            // @ts-ignore
            acc[key] = originalValue[key];
        }
        return acc;
    }, {});
}
exports.copyWithoutUndefined = copyWithoutUndefined;
function pick(source, propNames) {
    const result = {};
    let idx = 0;
    while (idx < propNames.length) {
        if (propNames[idx] in source) {
            // @ts-ignore
            result[propNames[idx]] = source[propNames[idx]];
        }
        idx += 1;
    }
    return result;
}
exports.pick = pick;
function isEmptyObject(params) {
    for (const key in params) {
        if (params.hasOwnProperty(key) && params[key] !== undefined) {
            return false;
        }
    }
    return true;
}
exports.isEmptyObject = isEmptyObject;
function groupBy(inputArray, propName) {
    return inputArray.reduce((result, entry) => {
        // @ts-ignore
        const key = entry[propName];
        // @ts-ignore
        if (Object.hasOwnProperty.call(result, key)) {
            // @ts-ignore
            result[key].push(entry);
        }
        else {
            // @ts-ignore
            result[key] = [entry];
        }
        return result;
    }, {});
}
exports.groupBy = groupBy;
//# sourceMappingURL=objectUtils.js.map